{% extends "base.html" %}


{% block content_main %}
    {% set module_name = request.mod|normalize|title %}
    <div class="card">
        <div class="card-header">
            <div class="row">
                <div class="col-12 col-md-6 col-xl-7">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb bg-transparent mb-1 mb-md-0 py-1 py-md-0 pl-1">
                            <li class="breadcrumb-item"><a href="{{ url_for('.index') }}">{{ module_name }}</a></li>
                            <li class="breadcrumb-item"><a href="{{ url_for('.edit', _id=record._id) }}">{{ record.item_code }}</a></li>
                            <li class="breadcrumb-item active"> Create Issue Tag</li>
                        </ol>
                    </nav>
                </div>
                <div class="col-12 col-md-6 col-xl-5 text-right">
                    <div class="row">
                        <div class="col"></div>
                        <div class="col">
                            <a href="{% if redirect_from == 'stock_card' %}{{ url_for('.stock_card', _id=record._id) }}{% elif redirect_from == 'details' %}{{ url_for('.edit', _id=record._id) }}{% else %}{{ url_for('.index') }}{% endif %}" class="btn btn-danger btn-sm btn-block my-2 my-md-1"><i class="fa fa-fw fa-arrow-left"></i> Go Back</a>
                        </div>
                    </div>
                </div>
            </div>
            <h4 class="card-title mt-1 mt-md-0"> Create Issue Tag</h4>
        </div>
        <div class="card-body">
            <div class="row">
                <div class="col-12 col-md-6">
                    <form id="create_issue_tag" action="{{ url_for('.create_issue_tag', _id=record._id) }}" method="POST">
                        <input type="hidden" name="raw_material" value="{{ record._id }}" />
                        <div class="row">
                            <div class="col-12">
                                <div class="form-group">
                                    <label>{{ "target_stock_level"|normalize|title }}*</label>
                                    <div class="input-group">
                                        <input type="number" name="target_stock_level" class="form-control" min="0" step="0.0001" required aria-describedby="unit-addon">
                                        <div class="input-group-append">
                                            <span class="input-group-text" id="unit-addon">{{ record.default_unit|normalize }}</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-12">
                                <div class="form-group">
                                    <label>{{ "remarks"|normalize|title }}*</label>
                                    <textarea name="remarks" class="form-control" rows="2" required></textarea>
                                </div>
                            </div>
                        </div>
                        <button type="submit" class="invisible"></button>
                    </form>
                </div>
                <div class="col-12 col-md-6">
                    <div class="row">
                        <div class="col-12">
                            <div class="form-group">
                                <label>{{ "name"|normalize|title }}</label>
                                <input type="text" class="form-control" value="{{ record.name }}" readonly />
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-12">
                            <div class="form-group">
                                <label>{{ "item_code"|normalize|title }}</label>
                                <input type="text" class="form-control" value="{{ record.item_code }}" readonly />
                            </div>
                        </div>
                    </div>
                    <div class="row border border-warning rounded">
                        <div class="col-12">
                            <div class="form-group">
                                <label><b>{{ "current_stock_on_hand"|normalize|title }}</b></label>
                                <input type="text" class="form-control" value="{{ record.stock_on_hand }}" readonly />
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-12">
                            <div class="form-group">
                                <label>{{ "last_transaction"|normalize|title }}</label>
                                <textarea class="form-control" rows="1" value="{{ record.last_transaction.spiel }}&#13;&#10;{% if record.last_transaction.record %}{{ record.last_transaction.record.date_created|humandate }}{% endif %}" readonly>{{ record.last_transaction.spiel }}&#13;&#10;{% if record.last_transaction.record %}{{ record.last_transaction.record.date_created|humandate }}{% endif %}</textarea>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <span><small>Fields with (*) are required</small></span>
        </div>
        <div class="card-footer text-right">
            <button type="button" class="btn btn-secondary btn-sm mr-2" data-reset-form="form"><i class="fa fa-undo"></i> Reset</button>
            <button type="button" class="btn btn-info btn-sm" data-submit-form="form">Submit</button>
        </div>
    </div>
{% endblock %}


{% block scripts %}
    <script>
        $dom.document.on('submit', 'form#create_issue_tag', function(e) {
            e.preventDefault();
            let $form = $(this);
            $.post($form.attr('action'), $form.serialize(), function() {})
            .done(function(response) {
                if (isDefined(response.success) && response.success) {
                    Swal.fire({
                        title: 'Successfully Created Issue Tag',
                        text: '',
                        type: 'success'
                    })
                    .then(function() {
                        $form.resetCustom();
                    });
                }
                else {
                    Swal.fire('Error', response.error, 'error');
                }
            })
            .always(function() {
                $dom.document.find('[data-submit-form]').ladda('stop');
            })
            .fail(function() {
                Swal.fire('Error', 'Server Error', 'error');
            });
        });
    </script>
{% endblock %}
